Bug 397081 - Segmentation fault from cacti
Summary: Segmentation fault from cacti
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: cacti
Version: 8
Hardware: powerpc
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-23 17:09 UTC by W. Michael Petullo
Modified: 2008-11-30 17:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-30 17:27:16 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2007-11-23 17:09:38 UTC
Description of problem:
I have installed cacti, but when I try to load http://localhost/cacti/, cacti
segfaults.

Version-Release number of selected component (if applicable):
cacti-0.8.7a-1.fc8

How reproducible:
Every time

Steps to Reproduce:
1. Install cacti and mysql
2. Set up the cacti database
3. Configure /etc/cacti/db.php
  
Actual results:
I see the following in /var/log/http/error_log:
[Fri Nov 23 11:00:46 2007] [notice] child pid 2909 exit signal Segmentation
fault (11)

Expected results:


Additional info:
I tried to run php /usr/share/cacti/poller.php through gdb and I got the
following backtrace after a crash:

(gdb) ba
#0  __poll (fds=0x7f3f9018, nfds=1, timeout=0)
    at ../sysdeps/unix/sysv/linux/poll.c:69
#1  0x0e5fee54 in net_clear () from /usr/lib/mysql/libmysqlclient.so.15
#2  0x0e5fa44c in cli_advanced_command ()
   from /usr/lib/mysql/libmysqlclient.so.15
#3  0x0e5f68ec in mysql_send_query () from /usr/lib/mysql/libmysqlclient.so.15
#4  0x0e5f699c in mysql_real_query () from /usr/lib/mysql/libmysqlclient.so.15
#5  0x0e748c24 in ?? () from /usr/lib/php/modules/mysql.so

Comment 1 Chris Duryee 2008-02-12 03:30:50 UTC
I get this on x86 as well (2.6.18-53.el5xen)

Comment 2 Mike McGrath 2008-02-12 14:52:40 UTC
(In reply to comment #0)
> Description of problem:
> I have installed cacti, but when I try to load http://localhost/cacti/, cacti
> segfaults.
> 

Did you create the database and import the sql file?

mysqladmin -u root create cacti
mysql -u root cacti < /usr/share/doc/cacti-0.8.7a/cacti.sql

Comment 3 Bug Zapper 2008-11-26 08:39:59 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 W. Michael Petullo 2008-11-30 17:27:16 UTC
This bug has been fixed sometime leading up to cacti-0.8.7b-4.fc10.noarch. This version now works for me.


Note You need to log in before you can comment on or make changes to this bug.